Package net.shibboleth.idp.attribute.resolver.spring

# Class BaseResolverPluginParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginParser

All Implemented Interfaces:
  `BeanDefinitionParser`

Direct Known Subclasses:
  `AbstractDataConnectorParser`, `BaseAttributeDefinitionParser`

public abstract class BaseResolverPluginParser extends AbstractCustomBeanDefinitionParser
Bean definition parser for a `ResolverPlugin`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`defnId`
An Id for the definition, used for debugging messages and creating names of children.
`private final org.slf4j.Logger`
`log`
Class logger.
`private Class<? extends Predicate<?>>`
`relyingPartyPredicateClass`
Stores class of the predicate handling the relyingParties setting.
`private String`
`relyingPartyPredicateFactoryMethod`
Stores name of factory method to invoke on the predicate class handling the relyingParties setting.

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`BaseResolverPluginParser()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element config, ParserContext parserContext, BeanDefinitionBuilder builder)`
`protected boolean`
`failOnDependencies()`
Controls parsing of Dependencies.
`protected BeanDefinitionBuilder`
`getActivationCondition(Element config)`
Get the effective activation condition to inject.
`protected String`
`getDefinitionId()`
Helper for logging.
`protected String`
`getLogPrefix()`
Return a string which is to be prepended to all log messages.
`protected boolean`
`warnOnDependencies()`
Controls parsing of Dependencies.

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClass, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### relyingPartyPredicateClass

@Nullable private Class<? extends Predicate<?>> relyingPartyPredicateClass
Stores class of the predicate handling the relyingParties setting.

### relyingPartyPredicateFactoryMethod

@Nullable private String relyingPartyPredicateFactoryMethod
Stores name of factory method to invoke on the predicate class handling the relyingParties setting.

### defnId

@Nonnull @NotEmpty private String defnId
An Id for the definition, used for debugging messages and creating names of children.

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### BaseResolverPluginParser

public BaseResolverPluginParser()
Constructor.

## Method Details

### getDefinitionId

@Nonnull @NotEmpty protected String getDefinitionId()
Helper for logging.

Returns:
  the definition ID

### doParse

protected void doParse(@Nonnull Element config, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `AbstractSingleBeanDefinitionParser`

### getActivationCondition

@Nullable protected BeanDefinitionBuilder getActivationCondition(@Nonnull Element config)
Get the effective activation condition to inject.

Parameters:
  `config` - configuration element
Returns:
  condition bean definition builder, or null

### failOnDependencies

protected boolean failOnDependencies()
Controls parsing of Dependencies. If it is considered an invalid configuration for this resolver to have Dependency statements, return true. The surrounding logic will fail the parse.

Returns:
  false - by default.

### warnOnDependencies

protected boolean warnOnDependencies()
Controls parsing of Dependencies. If it is considered an invalid configuration for this resolver to have Dependency statements, return true. The surrounding logic will issue warning.

Returns:
  false - by default.

### getLogPrefix

@Nonnull @NotEmpty protected String getLogPrefix()
Return a string which is to be prepended to all log messages. This is always overridden by upper parsers, but to leave this abstract would break compatibility

Returns:
  a basic prefix.